Skip to main content
POST
/
video-generation
MiniMax-Hailuo-02
curl --request POST \
  --url https://api.linkmodel.ai/api/v1/video-generation \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "model": "MiniMax-Hailuo-02",
  "prompt": "<string>",
  "first_frame_image": "<string>",
  "last_frame_image": "<string>",
  "duration": 6,
  "resolution": "768P"
}
'
{
  "code": 0,
  "data": {
    "task_id": "cb6111cf-e89f-4978-b8e3-aa59c21cceff",
    "order_id": "019da9cf-d1db-78e1-ac23-526774d01193",
    "status": "processing",
    "price": 0.074
  },
  "msg": "success",
  "request_id": "250b66dd-e1fb-4bb6-b5f6-c668efadc35d"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
model
enum<string>
required

Must be one of: MiniMax-Hailuo-02.

Available options:
MiniMax-Hailuo-02
prompt
string
required

Length must be between 1 and 2000.

Required string length: 1 - 2000
first_frame_image
string<url>
last_frame_image
string<url>
duration
enum<integer>
default:6

Must be one of: 6, 10. Defaults to 6. Value is in s.

Conditional limits:

  • 1080P resolution only supports 6 seconds duration
Available options:
6,
10
resolution
enum<string>
default:768P

Must be one of: 1080P, 512P, 768P. Defaults to 768P.

Conditional limits:

  • 512P resolution requires first_frame_image to be provided
  • last_frame_image only supports 768P and 1080P resolution
  • 10 seconds duration only supports 512P and 768P resolution
Available options:
1080P,
512P,
768P

Response

Task accepted and queued for generation.

code
integer
Example:

0

data
object
msg
string
Example:

"success"

request_id
string<uuid>
Example:

"250b66dd-e1fb-4bb6-b5f6-c668efadc35d"